/*Clase Racional
*/
#include <iostream>

using namespace std;

class Racional{
  int num,den;
public:
  Racional(){num = 0;den = 1;};
  Racional(int a){num = a;den = 1;};
  Racional(int a,int b){num = a;den = b;};
  Racional operator+(Racional a);
  Racional operator-(Racional a);
  Racional operator*(Racional a);
  Racional operator/(Racional a);
  void escribe();
};

Racional Racional::operator+(Racional a) {
  Racional r;
  r.num = num*a.den+den*a.num;
  r.den = den*a.den;
  return r;
}

Racional Racional::operator-(Racional a) {
  Racional r;
  r.num = num*a.den-den*a.num;
  r.den = den*a.den;
  return r;
}

Racional Racional::operator*(Racional a) {
  Racional r;
  r.num = num*a.num;
  r.den = den*a.den;
  return r;
}

Racional Racional::operator/(Racional a) {
  Racional r;
  r.num = num*a.den;
  r.den = den*a.num;
  return r;
}

void Racional::escribe(){
  cout << num << "/" << den << "\n";
}

main(){
  Racional r,s(5,7),t(2,3);
  s.escribe();
  t.escribe();
  r=s+t;
  r.escribe();
  r=s-t;
  r.escribe();
  r=s*t;
  r.escribe();
  r=s/t;
  r.escribe();
  system("pause");
}
